xmlpp::internal_error Class Reference

`#include <libxml++/exceptions/internal_error.h>`

Inheritance diagram for xmlpp::internal_error:

## Public Member Functions

| internal_error (const ustring & message)
| ~internal_error () noexcept override
exception * | clone () const override
void | raise () const override
Public Member Functions inherited from xmlpp::exception
LIBXMLPP_MEMBER_METHOD | exception (const ustring & message)
LIBXMLPP_MEMBER_METHOD | ~exception () noexcept override
LIBXMLPP_MEMBER_METHOD const char * | what () const noexcept override

## Constructor & Destructor Documentation

## internal_error()

xmlpp::internal_error::internal_error | ( | const ustring & | message | ) |

explicit

## ~internal_error()

xmlpp::internal_error::~internal_error | ( |  | ) |

override noexcept

## Member Function Documentation

## clone()

exception * xmlpp::internal_error::clone | ( |  | ) | const

override virtual

Reimplemented from xmlpp::exception.

## raise()

void xmlpp::internal_error::raise | ( |  | ) | const

override virtual

Reimplemented from xmlpp::exception.